#ifndef MATERIAL_H
#define MATERIAL_H

#include "shader.h"
#include "glm/fwd.hpp"

class Material
{
public:
	Material(Shader* myShader) : shader(myShader) {}
	Shader* getShader() {return shader;}

	virtual void bindAttributes() = 0;

protected:
	Shader* shader;

	// utils :
	GLuint getLocation(std::string attribName);
	void bindFloat(GLuint location, float val);
	void bindMatrix(GLuint location, glm::mat4 mat);
	void bindVec3(GLuint location, glm::vec3 vec);
};

#endif // MATERIAL_H
