#ifndef MESH_H
#define MESH_H

#include <vector>
#include <glm/glm.hpp>

class Mesh
{
public:
    typedef struct
    {
        glm::vec3 position;
        glm::vec3 normal;
        glm::vec2 texCoord;
    } Vertex;

    Mesh();
    void addVertex(Vertex& v);
    void addFace(int i1, int i2, int i3);
    void draw();

private:
    std::vector<Vertex> vertices;
    std::vector<int> indices;
};

#endif // MESH_H
