#ifndef SHADER_H
#define SHADER_H

#include <glew/glew.h>
#include <string>

class QString;

class Shader
{
    static const std::string DEFAULT_VERT;
    static const std::string DEFAULT_FRAG;
    GLuint program;
    QString fileToString(QString filename);
    GLuint createShader(QString filename, GLenum shaderType);
    void printShaderInfoLog(GLuint shaderId);
    void printProgramInfoLog(GLuint programId);

public:
    Shader(const QString &vertFilename, const QString &fragFilename);
    ~Shader();
    GLuint getProgramId();
};

#endif // SHADER_H
